#!/usr/bin/env python
#
# This file is part of Maze Template
# Author(s): Clare Richardson, Girlstart
# Copyright 2008
#
# Source code is part of Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for font, sound, and image sources.
#
# Source code is derived from Pyman:
# http://www.learningpython.com/2006/03/12/creating-a-game-in-python-using-pygame-part-one/
#
# Maze Template is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Maze Template is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Maze Template.  If not, see <http://www.gnu.org/licenses/>.

from helpers import *

class layout():
	
	def __init__(self):
		self.SPACE = 0
		self.PELLET = 1
		self.BLOCK = 2
		self.PLAYER = 3
		self.MONSTER = 4
		self.FINISH_LINE = 9
	
	def getLayout(self):
		return [[2, 2, 2, 2, 2, 2, 2, 2, 2, 2 ,2, 2, 2, 2, 2, 2, 2, 2, 2],
				[2, 0, 1, 0, 1, 0, 1, 0, 1, 2 ,0, 1, 0, 1, 0, 1, 4, 0, 2],
				[2, 1, 2, 2, 0, 2, 2, 2, 1, 2 ,0, 2, 2, 2, 1, 2, 2, 0, 2],
				[2, 1, 3, 0, 1, 0, 1, 0, 1, 0 ,1, 0, 1, 0, 1, 0, 1, 0, 2],
				[2, 1, 2, 2, 0, 2, 1, 2, 2, 2 ,2, 2, 0, 2, 1, 2, 2, 0, 2],
				[2, 1, 0, 1, 0, 2, 1, 0, 1, 2 ,0, 1, 0, 2, 1, 0, 1, 0, 2],
				[2, 2, 2, 2, 1, 2, 2, 2, 0, 2, 1, 2, 2, 2, 0, 2, 2, 2, 2],
				[2, 2, 2, 2, 1, 2, 0, 1, 0, 1, 0, 1, 0, 2, 1, 2, 2, 2, 2],
				[2, 2, 2, 2, 0, 2, 1, 2, 2, 2, 2, 2, 0, 2, 1, 2, 2, 2, 2],
				[2, 0, 4, 1, 0, 1, 0, 2, 1, 0, 1, 2, 0, 1, 0, 1, 0, 1, 9],
				[2, 2, 2, 2, 0, 2, 1, 2, 2, 2, 2, 2, 0, 2, 1, 2, 2, 2, 2],
				[2, 2, 2, 2, 0, 2, 1, 0, 4, 1, 0, 4, 1, 2, 0, 2, 2, 2, 2],
				[2, 2, 2, 2, 1, 2, 0, 2, 2, 2, 2, 2, 1, 2, 0, 2, 2, 2, 2],
				[2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 1, 0, 1, 4, 0, 1, 2],
				[2, 0, 2, 2, 1, 2, 2, 2, 0, 2, 1, 2, 2, 2, 0, 2, 2, 1, 2],
				[2, 0, 1, 2, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 2],
				[2, 2, 1, 2, 0, 2, 1, 2, 2, 2, 2, 2, 0, 2, 1, 2, 0, 2, 2],
				[2, 1, 0, 1, 0, 2, 1, 0, 1, 2, 0, 1, 0, 2, 1, 0, 1, 0, 2],
				[2, 1, 2, 2, 2, 2, 2, 2, 0, 2, 1, 2, 2, 2, 2, 2, 2, 0, 2],
				[2, 4, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 4, 1, 0, 1, 2],
				[2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2]]
				
	def getSprites(self):
		space, rect = load_image('space.png')
		block, rect = load_image('block.png')
		pellet, rect = load_image('pellet.png',-1)
		player, rect = load_image('player.png',-1)
		monster, rect = load_image('monster.png',-1)
		return [space,pellet,block,player,monster]
		
