#!/usr/bin/env python
#
# This file is part of Maze Template
# Author(s): Clare Richardson, Girlstart
# Copyright 2008
#
# Source code is part of Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for font, sound, and image sources.
#
# Maze Template is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Maze Template is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Maze Template.  If not, see <http://www.gnu.org/licenses/>.

import os, sys, datetime, time
import pygame
from pygame.locals import *

def load_image(name, colorkey=None):
	fullname = os.path.join('data', 'images')
	fullname = os.path.join(fullname, name)
	try:
		image = pygame.image.load(fullname)
	except pygame.error, message:
		print 'Cannot load image:', fullname
		raise SystemExit, message
	image = image.convert()
	if colorkey is not None:
		if colorkey is -1:
			colorkey = image.get_at((0,0))
		image.set_colorkey(colorkey, RLEACCEL)
	return image, image.get_rect()

def load_sound(name):
	class NoneSound:
		def play(self): pass
	if not pygame.mixer:
		return NoneSound()
	fullname = os.path.join('data','sounds')
	fullname = os.path.join(fullname, name)
	try:
		sound = pygame.mixer.Sound(fullname)
	except pygame.error, message:
		print 'Cannot load sound:', fullname
		raise SystemExit, message
	return sound

def display_static_image(image_name,seconds_pause,screen,background,area):
	start_time = datetime.datetime.today()
	end_time = start_time + datetime.timedelta(0,seconds_pause)

	while datetime.datetime.today() < end_time:
		for event in pygame.event.get():
			if event.type == pygame.QUIT:
				sys.exit()
		
		# Draw everything to the screen
		screen.blit(background, (0, 0))

		image, imagerect = load_image(image_name)
		imagerect.centerx = area.centerx
		imagerect.centery = area.centery
		screen.blit(image,imagerect)

		pygame.display.flip()
